import request from '@/utils/request'

export function getDrugPage(data) {
  return request({
    url: '/js-drug/page',
    method: 'get',
    params: data
  })
}

export function getDrugList(data) {
  return request({
    url: '/js-drug/list',
    method: 'post',
    data: data
  })
}

export function getDrugDetail(data) {
  return  request({
    url: '/js-drug/listById',
    method: 'post',
    data: data
  })
}

export function addDrugPage(data) {
  return request({
    url: '/js-drug/add',
    method: 'post',
    data: data
  })
}

export function editDrugPage(data) {
  return request({
    url: '/js-drug/edit',
    method: 'post',
    data: data
  })
}

export function delDrugPage(data) {
  return request({
    url: '/js-drug/delete',
    method: 'post',
    data: data
  })
}
